Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.javashell
Class CycJavaServer

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.javashell.CycJavaServer

All Implemented Interfaces:
  java.lang.Runnable

public class CycJavaServer
extends java.lang.Thread

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CycJavaServer(CycJavaShell jshell, int port)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CycJavaServer

    public CycJavaServer(CycJavaShell jshell,
                         int port)
                  throws java.io.IOException

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD